Version 6.7.7 Source

Table Name: `tabItem Attribute`

### Fields

Sr | Fieldname | Type | Label | Options
--- | --- | --- | --- | ---
1 | `attribute_name` | Data | Attribute Name |
2 | `numeric_values` | Check | Numeric Values |
3 | `section_break_4` | Section Break |  |
4 | `from_range` | Float | From Range |
5 | `increment` | Float | Increment |
6 | `column_break_8` | Column Break |  |
7 | `to_range` | Float | To Range |
8 | `section_break_5` | Section Break |  |
9 | `item_attribute_values` | Table | Item Attribute Values | Item Attribute Value

### Controller

#### erpnext.stock.doctype.item_attribute.item_attribute

### Class ItemAttribute

Inherits from frappe.model.document.Document

validate (self)

No docs

validate_attribute_values (self)

No docs

validate_duplication (self)

No docs

validate_numeric (self)

No docs

### Class ItemAttributeIncrementError

Inherits from frappe.exceptions.ValidationError

#### Linked In:

- Item Variant
- Item Variant Attribute